Changeset 2685


Ignore:
Timestamp:
Dec 2, 2012 1:06:04 PM (7 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/stable/1.3/configure

    r2680 r2685  
    10941094                          icl/link). Default when mentioned: mingw. Default
    10951095                          when not mentioned: disabled.
    1096 
    10971096  --disable-pkg-config    disable use of pkg-config (if available)
    10981097  --enable-static[=PKGS]
     
    19581957
    19591958
    1960 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1961 if test "${enable_static_standardlibs+set}" = set; then
    1962   enableval="$enable_static_standardlibs"
    1963   case "$enableval" in
    1964      no | yes | auto ) ;;
    1965      *)
    1966        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1967 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1968    { (exit 1); exit 1; }; } ;;
    1969    esac
    1970    use_static_standardlibs=$enableval
    1971 else
    1972   use_static_standardlibs=no
    1973 fi;
    1974 
    1975 
    1976 
    19771959
    19781960
     
    30993081    CFLAGS="$OPT_CFLAGS"
    31003082  fi
    3101 
    31023083else
    31033084  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32683249esac
    32693250
    3270 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3271 if test x$use_static_standardlibs != xno ; then
    3272   case $build in
    3273     *-mingw*)
    3274       static_standardlib_flag=-static
    3275       ;;
    3276     *)
    3277       static_standardlib_flag=-static-libgcc
    3278       ;;
    3279   esac
    3280   case " $LDFLAGS " in
    3281     *" $static_standardlib_flag "* ) ;;
    3282     *)
    3283     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3284 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3285     coin_save_LDFLAGS="$LDFLAGS"
    3286     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3287     cat >conftest.$ac_ext <<_ACEOF
    3288 /* confdefs.h.  */
    3289 _ACEOF
    3290 cat confdefs.h >>conftest.$ac_ext
    3291 cat >>conftest.$ac_ext <<_ACEOF
    3292 /* end confdefs.h.  */
    3293 
    3294 int
    3295 main ()
    3296 {
    3297 int i=0;
    3298   ;
    3299   return 0;
    3300 }
    3301 _ACEOF
    3302 rm -f conftest.$ac_objext conftest$ac_exeext
    3303 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3304   (eval $ac_link) 2>conftest.er1
    3305   ac_status=$?
    3306   grep -v '^ *+' conftest.er1 >conftest.err
    3307   rm -f conftest.er1
    3308   cat conftest.err >&5
    3309   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3310   (exit $ac_status); } &&
    3311          { ac_try='test -z "$ac_c_werror_flag"
    3312                          || test ! -s conftest.err'
    3313   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3314   (eval $ac_try) 2>&5
    3315   ac_status=$?
    3316   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3317   (exit $ac_status); }; } &&
    3318          { ac_try='test -s conftest$ac_exeext'
    3319   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3320   (eval $ac_try) 2>&5
    3321   ac_status=$?
    3322   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3323   (exit $ac_status); }; }; then
    3324   echo "$as_me:$LINENO: result: yes" >&5
    3325 echo "${ECHO_T}yes" >&6
    3326 else
    3327   echo "$as_me: failed program was:" >&5
    3328 sed 's/^/| /' conftest.$ac_ext >&5
    3329 
    3330 echo "$as_me:$LINENO: result: no" >&5
    3331 echo "${ECHO_T}no" >&6
    3332        LDFLAGS="$coin_save_LDFLAGS"
    3333        if test $use_static_standardlibs = yes ; then
    3334          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3335 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3336    { (exit 1); exit 1; }; }
    3337        fi
    3338 
    3339 fi
    3340 rm -f conftest.err conftest.$ac_objext \
    3341       conftest$ac_exeext conftest.$ac_ext
    3342     ;;
    3343   esac
    3344 fi
    3345 
    33463251ac_ext=c
    33473252ac_cpp='$CPP $CPPFLAGS'
     
    33723277
    33733278
    3374 
    33753279ac_ext=f
    33763280ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    35823486
    35833487# Provide some information about the compiler.
    3584 echo "$as_me:3584:" \
     3488echo "$as_me:3488:" \
    35853489     "checking for Fortran 77 compiler version" >&5
    35863490ac_compiler=`set X $ac_compile; echo $2`
     
    39493853    FFLAGS="$OPT_FFLAGS"
    39503854  fi
    3951 
    39523855else
    39533856  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    40913994    ;;
    40923995esac
    4093 
    4094 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4095 if test x$use_static_standardlibs != xno ; then
    4096   case $build in
    4097     *-mingw*)
    4098       static_standardlib_flag=-static
    4099       ;;
    4100     *)
    4101       static_standardlib_flag=-static-libgfortran
    4102       ;;
    4103   esac
    4104   case " $LDFLAGS " in
    4105     *" $static_standardlib_flag "* ) ;;
    4106     *)
    4107     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4108 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4109     coin_save_LDFLAGS="$LDFLAGS"
    4110     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4111     cat >conftest.$ac_ext <<_ACEOF
    4112       program main
    4113       integer i
    4114       end
    4115 _ACEOF
    4116 rm -f conftest.$ac_objext conftest$ac_exeext
    4117 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4118   (eval $ac_link) 2>conftest.er1
    4119   ac_status=$?
    4120   grep -v '^ *+' conftest.er1 >conftest.err
    4121   rm -f conftest.er1
    4122   cat conftest.err >&5
    4123   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4124   (exit $ac_status); } &&
    4125          { ac_try='test -z "$ac_f77_werror_flag"
    4126                          || test ! -s conftest.err'
    4127   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4128   (eval $ac_try) 2>&5
    4129   ac_status=$?
    4130   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4131   (exit $ac_status); }; } &&
    4132          { ac_try='test -s conftest$ac_exeext'
    4133   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4134   (eval $ac_try) 2>&5
    4135   ac_status=$?
    4136   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4137   (exit $ac_status); }; }; then
    4138   echo "$as_me:$LINENO: result: yes" >&5
    4139 echo "${ECHO_T}yes" >&6
    4140 else
    4141   echo "$as_me: failed program was:" >&5
    4142 sed 's/^/| /' conftest.$ac_ext >&5
    4143 
    4144 echo "$as_me:$LINENO: result: no" >&5
    4145 echo "${ECHO_T}no" >&6
    4146        LDFLAGS="$coin_save_LDFLAGS"
    4147        if test $use_static_standardlibs = yes ; then
    4148          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4149 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4150    { (exit 1); exit 1; }; }
    4151        fi
    4152 
    4153 fi
    4154 rm -f conftest.err conftest.$ac_objext \
    4155       conftest$ac_exeext conftest.$ac_ext
    4156     ;;
    4157   esac
    4158 fi
    41593996
    41603997ac_ext=c
     
    44224259ac_save_FFLAGS=$FFLAGS
    44234260FFLAGS="$FFLAGS $ac_verb"
    4424 (eval echo $as_me:4424: \"$ac_link\") >&5
     4261(eval echo $as_me:4261: \"$ac_link\") >&5
    44254262ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    44264263echo "$ac_f77_v_output" >&5
     
    45004337ac_save_FFLAGS=$FFLAGS
    45014338FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4502 (eval echo $as_me:4502: \"$ac_link\") >&5
     4339(eval echo $as_me:4339: \"$ac_link\") >&5
    45034340ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    45044341echo "$ac_f77_v_output" >&5
     
    53785215
    53795216# Provide some information about the compiler.
    5380 echo "$as_me:5380:" \
     5217echo "$as_me:5217:" \
    53815218     "checking for Fortran compiler version" >&5
    53825219ac_compiler=`set X $ac_compile; echo $2`
     
    71506987*-*-irix6*)
    71516988  # Find out which ABI we are using.
    7152   echo '#line 7152 "configure"' > conftest.$ac_ext
     6989  echo '#line 6989 "configure"' > conftest.$ac_ext
    71536990  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    71546991  (eval $ac_compile) 2>&5
     
    96279464   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    96289465   -e 's:$: $lt_compiler_flag:'`
    9629    (eval echo "\"\$as_me:9629: $lt_compile\"" >&5)
     9466   (eval echo "\"\$as_me:9466: $lt_compile\"" >&5)
    96309467   (eval "$lt_compile" 2>conftest.err)
    96319468   ac_status=$?
    96329469   cat conftest.err >&5
    9633    echo "$as_me:9633: \$? = $ac_status" >&5
     9470   echo "$as_me:9470: \$? = $ac_status" >&5
    96349471   if (exit $ac_status) && test -s "$ac_outfile"; then
    96359472     # The compiler can only warn and ignore the option if not recognized
     
    98959732   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    98969733   -e 's:$: $lt_compiler_flag:'`
    9897    (eval echo "\"\$as_me:9897: $lt_compile\"" >&5)
     9734   (eval echo "\"\$as_me:9734: $lt_compile\"" >&5)
    98989735   (eval "$lt_compile" 2>conftest.err)
    98999736   ac_status=$?
    99009737   cat conftest.err >&5
    9901    echo "$as_me:9901: \$? = $ac_status" >&5
     9738   echo "$as_me:9738: \$? = $ac_status" >&5
    99029739   if (exit $ac_status) && test -s "$ac_outfile"; then
    99039740     # The compiler can only warn and ignore the option if not recognized
     
    99999836   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    100009837   -e 's:$: $lt_compiler_flag:'`
    10001    (eval echo "\"\$as_me:10001: $lt_compile\"" >&5)
     9838   (eval echo "\"\$as_me:9838: $lt_compile\"" >&5)
    100029839   (eval "$lt_compile" 2>out/conftest.err)
    100039840   ac_status=$?
    100049841   cat out/conftest.err >&5
    10005    echo "$as_me:10005: \$? = $ac_status" >&5
     9842   echo "$as_me:9842: \$? = $ac_status" >&5
    100069843   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    100079844   then
     
    1241612253  lt_status=$lt_dlunknown
    1241712254  cat > conftest.$ac_ext <<EOF
    12418 #line 12418 "configure"
     12255#line 12255 "configure"
    1241912256#include "confdefs.h"
    1242012257
     
    1251612353  lt_status=$lt_dlunknown
    1251712354  cat > conftest.$ac_ext <<EOF
    12518 #line 12518 "configure"
     12355#line 12355 "configure"
    1251912356#include "confdefs.h"
    1252012357
     
    1487614713   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1487714714   -e 's:$: $lt_compiler_flag:'`
    14878    (eval echo "\"\$as_me:14878: $lt_compile\"" >&5)
     14715   (eval echo "\"\$as_me:14715: $lt_compile\"" >&5)
    1487914716   (eval "$lt_compile" 2>conftest.err)
    1488014717   ac_status=$?
    1488114718   cat conftest.err >&5
    14882    echo "$as_me:14882: \$? = $ac_status" >&5
     14719   echo "$as_me:14719: \$? = $ac_status" >&5
    1488314720   if (exit $ac_status) && test -s "$ac_outfile"; then
    1488414721     # The compiler can only warn and ignore the option if not recognized
     
    1498014817   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1498114818   -e 's:$: $lt_compiler_flag:'`
    14982    (eval echo "\"\$as_me:14982: $lt_compile\"" >&5)
     14819   (eval echo "\"\$as_me:14819: $lt_compile\"" >&5)
    1498314820   (eval "$lt_compile" 2>out/conftest.err)
    1498414821   ac_status=$?
    1498514822   cat out/conftest.err >&5
    14986    echo "$as_me:14986: \$? = $ac_status" >&5
     14823   echo "$as_me:14823: \$? = $ac_status" >&5
    1498714824   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1498814825   then
     
    1655016387   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1655116388   -e 's:$: $lt_compiler_flag:'`
    16552    (eval echo "\"\$as_me:16552: $lt_compile\"" >&5)
     16389   (eval echo "\"\$as_me:16389: $lt_compile\"" >&5)
    1655316390   (eval "$lt_compile" 2>conftest.err)
    1655416391   ac_status=$?
    1655516392   cat conftest.err >&5
    16556    echo "$as_me:16556: \$? = $ac_status" >&5
     16393   echo "$as_me:16393: \$? = $ac_status" >&5
    1655716394   if (exit $ac_status) && test -s "$ac_outfile"; then
    1655816395     # The compiler can only warn and ignore the option if not recognized
     
    1665416491   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1665516492   -e 's:$: $lt_compiler_flag:'`
    16656    (eval echo "\"\$as_me:16656: $lt_compile\"" >&5)
     16493   (eval echo "\"\$as_me:16493: $lt_compile\"" >&5)
    1665716494   (eval "$lt_compile" 2>out/conftest.err)
    1665816495   ac_status=$?
    1665916496   cat out/conftest.err >&5
    16660    echo "$as_me:16660: \$? = $ac_status" >&5
     16497   echo "$as_me:16497: \$? = $ac_status" >&5
    1666116498   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1666216499   then
     
    1886118698   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1886218699   -e 's:$: $lt_compiler_flag:'`
    18863    (eval echo "\"\$as_me:18863: $lt_compile\"" >&5)
     18700   (eval echo "\"\$as_me:18700: $lt_compile\"" >&5)
    1886418701   (eval "$lt_compile" 2>conftest.err)
    1886518702   ac_status=$?
    1886618703   cat conftest.err >&5
    18867    echo "$as_me:18867: \$? = $ac_status" >&5
     18704   echo "$as_me:18704: \$? = $ac_status" >&5
    1886818705   if (exit $ac_status) && test -s "$ac_outfile"; then
    1886918706     # The compiler can only warn and ignore the option if not recognized
     
    1912918966   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1913018967   -e 's:$: $lt_compiler_flag:'`
    19131    (eval echo "\"\$as_me:19131: $lt_compile\"" >&5)
     18968   (eval echo "\"\$as_me:18968: $lt_compile\"" >&5)
    1913218969   (eval "$lt_compile" 2>conftest.err)
    1913318970   ac_status=$?
    1913418971   cat conftest.err >&5
    19135    echo "$as_me:19135: \$? = $ac_status" >&5
     18972   echo "$as_me:18972: \$? = $ac_status" >&5
    1913618973   if (exit $ac_status) && test -s "$ac_outfile"; then
    1913718974     # The compiler can only warn and ignore the option if not recognized
     
    1923319070   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1923419071   -e 's:$: $lt_compiler_flag:'`
    19235    (eval echo "\"\$as_me:19235: $lt_compile\"" >&5)
     19072   (eval echo "\"\$as_me:19072: $lt_compile\"" >&5)
    1923619073   (eval "$lt_compile" 2>out/conftest.err)
    1923719074   ac_status=$?
    1923819075   cat out/conftest.err >&5
    19239    echo "$as_me:19239: \$? = $ac_status" >&5
     19076   echo "$as_me:19076: \$? = $ac_status" >&5
    1924019077   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1924119078   then
Note: See TracChangeset for help on using the changeset viewer.